LibMuse 6.0.1
Muse SDK Documentation

This library enables communication with and control of Muse headbands from client software.

Quick start

Android

Start with com.choosemuse.libmuse.MuseManager and go from there, or use the Classes tab.

Threading

Most LibMuse methods are thread safe, except execute() and runAsynchronously() . Each method describes its threading concerns if there are any.

Exceptions

The LibMuse native library catches and handles every exception that it can reasonably be expected to do so. There are, however, some situations in which native code can still throw an exception. Any API method that can throw an exception documents this behaviour.

Supported Android API Levels

LibMuse requires a minimum API level of 15 (Android 4.0.3, 4.0.4) however the Bluetooth Low Energy API which is used by Muse 2016 headbands was introduced in API level 19 (Android 4.4, KITKAT). In order to connect to both Muse and Muse 2016 headbands, we recommend that you use API Level 19 for your android:minSdkVersion.

More information

Visit http://developer.choosemuse.com for additional information.